<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/src/MPRISPlayer.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_1298b2e4ec6fcaa0bfd6e425cd36abba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">MPRISPlayer.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_bluetooth_events_8h_source.html">AVSCommon/Utils/Bluetooth/BluetoothEvents.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_constants_8h_source.html">BlueZ/BlueZConstants.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_device_manager_8h_source.html">BlueZ/BlueZDeviceManager.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_m_p_r_i_s_player_8h_source.html">BlueZ/MPRISPlayer.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MPRISPlayer.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_m_p_r_i_s_player_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_m_p_r_i_s_player_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_m_p_r_i_s_player_8cpp" id="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_m_p_r_i_s_player_8cpp">
<area shape="rect" id="node3" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="895,632,1071,671"/>
<area shape="rect" id="node20" href="_bluetooth_events_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEvents.h" alt="" coords="1955,452,2146,491"/>
<area shape="rect" id="node31" href="_blue_z_constants_8h.html" title="BlueZ/BlueZConstants.h" alt="" coords="1276,105,1442,131"/>
<area shape="rect" id="node32" href="_blue_z_device_manager_8h.html" title="BlueZ/BlueZDeviceManager.h" alt="" coords="2813,105,3011,131"/>
<area shape="rect" id="node48" href="_m_p_r_i_s_player_8h.html" title="BlueZ/MPRISPlayer.h" alt="" coords="3641,192,3791,217"/>
<area shape="rect" id="node9" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="510,732,724,771"/>
<area shape="rect" id="node14" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="951,832,1127,871"/>
<area shape="rect" id="node15" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="156,732,332,771"/>
<area shape="rect" id="node18" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="748,732,945,771"/>
<area shape="rect" id="node19" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2057,732,2233,771"/>
<area shape="rect" id="node16" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="156,832,332,871"/>
<area shape="rect" id="node21" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="2048,539,2293,577"/>
<area shape="rect" id="node23" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="2518,625,2735,677"/>
<area shape="rect" id="node29" href="_a_v_r_c_p_target_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPTarget\lInterface.h" alt="" coords="1428,625,1650,677"/>
<area shape="rect" id="node30" href="_a2_d_p_role_8h.html" title="AVSCommon/Utils/Bluetooth\l/A2DPRole.h" alt="" coords="1834,539,2025,577"/>
<area shape="rect" id="node24" href="_bluetooth_service_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/Bluetooth\lServiceInterface.h" alt="" coords="2258,725,2454,777"/>
<area shape="rect" id="node25" href="_s_d_p_record_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/SDPRecord\lInterface.h" alt="" coords="1920,825,2131,877"/>
<area shape="rect" id="node27" href="_a2_d_p_sink_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSink\lInterface.h" alt="" coords="1825,625,2026,677"/>
<area shape="rect" id="node28" href="_a_v_r_c_p_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPController\lInterface.h" alt="" coords="2049,625,2292,677"/>
<area shape="rect" id="node26" href="_formatted_audio_stream_adapter_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapter.h" alt="" coords="2529,732,2749,771"/>
<area shape="rect" id="node35" href="_bluetooth_device_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceManager\lInterface.h" alt="" coords="2717,179,2952,231"/>
<area shape="rect" id="node36" href="_bluetooth_host_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothHostController\lInterface.h" alt="" coords="2961,625,3188,677"/>
<area shape="rect" id="node37" href="_bluetooth_event_bus_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventBus.h" alt="" coords="2390,279,2581,317"/>
<area shape="rect" id="node40" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1795,732,1983,771"/>
<area shape="rect" id="node41" href="_blue_z_host_controller_8h.html" title="BlueZ/BlueZHostController.h" alt="" coords="3149,545,3339,571"/>
<area shape="rect" id="node45" href="_blue_z_utils_8h.html" title="BlueZ/BlueZUtils.h" alt="" coords="3922,839,4054,864"/>
<area shape="rect" id="node50" href="_pairing_agent_8h.html" title="BlueZ/PairingAgent.h" alt="" coords="3420,545,3567,571"/>
<area shape="rect" id="node39" href="_bluetooth_event_listener_interface_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventListenerInterface.h" alt="" coords="2319,365,2545,404"/>
<area shape="rect" id="node43" href="_mac_address_string_8h.html" title="AVSCommon/Utils/MacAddress\lString.h" alt="" coords="3366,732,3575,771"/>
<area shape="rect" id="node44" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1577,732,1772,771"/>
<area shape="rect" id="node46" href="_d_bus_properties_proxy_8h.html" title="BlueZ/DBusPropertiesProxy.h" alt="" coords="3529,639,3727,664"/>
<area shape="rect" id="node47" href="_d_bus_proxy_8h.html" title="DBusProxy.h" alt="" coords="3852,739,3950,764"/>
<area shape="rect" id="node49" href="_d_bus_object_8h.html" title="BlueZ/DBusObject.h" alt="" coords="3313,639,3455,664"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_m_p_r_i_s_player_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
